#include <SDL/SDL_opengl.h>

#define MAX_LEVEL_W 640*2 
#define MAX_LEVEL_H 480*2

//terrain functions
void fill_terrain(unsigned int terrain_grid[][9]);
bool place_free( unsigned int terrain_grid[1][9], unsigned int x, unsigned int y, unsigned char cur, unsigned char current_triangle[]);
bool in_triangle( unsigned int terrain_grid[1][9], unsigned int triangle, unsigned int x, unsigned int y);
void draw_terrain(unsigned int terrain_grid[][9], unsigned int triangles);
//void update_current_triangles(unsigned int terrain_grid[1][9], unsigned int _x, unsigned int _y, unsigned char w, unsigned char h, unsigned char current_triangle[]);
void save_terrain(unsigned int terrain_grid[][9], unsigned int, unsigned int, unsigned int, unsigned char [MAX_LEVEL_W/16][MAX_LEVEL_H/16], char, unsigned int [][3], unsigned char );
void load_terrain(unsigned int terrain_grid[][9], unsigned int *, unsigned int *, unsigned int *, unsigned char [MAX_LEVEL_W/16][MAX_LEVEL_H/16], char *, unsigned int [][3]);
void set_camera( unsigned int, unsigned int, int, int, unsigned int *, unsigned int *);

//graphic functions
GLuint LoadTexture(char *TexName);
void OpenGL_init();
void Draw_Texture(unsigned int texture, int x, int y, unsigned char img_w, unsigned char img_h, unsigned int tex_w, unsigned int tex_h, unsigned char image);
void draw_hud(unsigned int[][9], unsigned char, unsigned char, unsigned int, unsigned int, int*, int*, int, int, GLuint, GLuint, int*, int*, char, bool, bool, bool, bool, char, char, bool, unsigned char* , char *, char);
void draw_tiles(unsigned char[MAX_LEVEL_W/16][MAX_LEVEL_H/16], GLuint *, char);
void fill_tiles(unsigned char[MAX_LEVEL_W/16][MAX_LEVEL_H/16], unsigned int, unsigned int, unsigned int[][9], unsigned int);
void draw_text(unsigned int, unsigned int, char[], GLuint);		
