#include <SDL/SDL.h>
#include <SDL/SDL_opengl.h>
#include "../headers/SpriteClass.h"
#include "../headers/functions.h"
#include "../headers/defines.h"
#include <stdlib.h>

Sprite::Sprite()
{	
}

unsigned int Sprite::get( unsigned int sprite )
{	
	return texture[sprite];
}

void Sprite::load()
{
	texture[SPR_PLAYER_STAND_SW] = LoadTexture("resources/arch_stand_sw.tga");	
	texture[SPR_PLAYER_STAND_NO_ARM] = LoadTexture("resources/arch_stand_no_arm.tga");	
	texture[SPR_PLAYER_RUN_SW] = LoadTexture("resources/arch_run_sw.tga");	
	texture[SPR_PLAYER_RUN_NO_ARM] = LoadTexture("resources/arch_run_no_arm.tga");		
	texture[SPR_PLAYER_JUMP_SW] = LoadTexture("resources/arch_jump_sw.tga");
	texture[SPR_PLAYER_JUMP_NO_ARM] = LoadTexture("resources/arch_jump_no_arm.tga");
	texture[SPR_PLAYER_AT_SW] = LoadTexture("resources/arch_at_sw.tga");	
	texture[SPR_PLAYER_HANG] = LoadTexture("resources/arch_hang.tga");	
	texture[SPR_PLAYER_ARM_PISTOL] = LoadTexture("resources/arch_arm_pistol.tga");			
	texture[SPR_PLAYER_HEAD] = LoadTexture("resources/arch_head.tga");	
	texture[SPR_BULLET_PISTOL] = LoadTexture("resources/pistol_bullet.tga");		
	texture[SPR_DOG_IDLE] = LoadTexture("resources/dog_idle.tga");		
	texture[SPR_DOG_RUN] = LoadTexture("resources/dog_run.tga");

	char i;
	for(i = 0; i < 13; i++)
		if (!texture[i])
			exit(0);
}
